Bug 40774 - tomcat-connector 1.2.19 Error in resolving configuration references
tomcat-connector 1.2.19 Error in resolving configuration references
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
Other Linux
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
: 41203 (view as bug list)
Depends on:
  Show dependency tree
Reported: 2006-10-17 03:01 UTC by Theiss Warlitz
Modified: 2008-10-05 03:09 UTC (History)
1 user (show)


Note You need to log in before you can comment on or make changes to this bug.
Description Theiss Warlitz 2006-10-17 03:01:16 UTC

apache does not start when configuring more than JK_MAP_RECURSION (20) workers
referencing another worker.
The debug output stops at recursion level 20.
I am using apache 1.3.x and tomcat 4.1.x but this may happen in every
apache/tomcat combination.

I tried the following fix which worked for me: 
Change the following line (recursion) in native/common/jk_map.c:
rc = jk_map_resolve_references(m, m->values[i], 0, ++depth, l);
rc = jk_map_resolve_references(m, m->values[i], 0, depth+1, l);
/* after leaving the recursion the depth level has the same value as when
entering the recursion. */

hopefully in time for 1.2.20

Comment 1 Rainer Jung 2006-10-17 06:22:58 UTC
Thanks for spotting that and sorry for the silly error.

I hope you like the feature :)

Fixed for 1.2.20.
Comment 2 Rainer Jung 2006-12-18 16:28:43 UTC
*** Bug 41203 has been marked as a duplicate of this bug. ***
Comment 3 Rainer Jung 2008-01-01 16:51:26 UTC
Move a couple of fixed JK issues from resolved to closed.